Bug 830486 - setupNetwork is broken when using diff parameters
setupNetwork is broken when using diff parameters
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Igor Lvovsky
Yaniv Kaul
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 03:09 EDT by Igor Lvovsky
Modified: 2013-07-03 22:46 EDT (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-17.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:59:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Lvovsky 2012-06-10 03:09:48 EDT
Description of problem:
When engine pass only partial network map (only differences) the setupNetwork behaves wrong.
For example, if vdsm get changes in network that defined on top of bond, engine pass only nerwork parameters without bond parameters.
But vdsm need to know all map including bond 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Igor Lvovsky 2012-06-11 13:01:15 EDT
http://gerrit.ovirt.org/#/c/5211/
Comment 2 Avi Tal 2012-06-25 09:13:20 EDT
Verify on SI7 with vdsm-4.9.6-17.0.el6.x86_64 - PASS

having different setupNetworks configurations while host is up succeeded.
No issue with vdsm.
Comment 5 errata-xmlrpc 2012-12-04 13:59:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.